Skip to content
API Reference

Users

List
client.Organizations.Users.List(ctx, organizationID, params) (*OrganizationUserListResponse, error)
GET/organizations/{organization_id}/users
Retrieve
client.Organizations.Users.Get(ctx, userID, params) (*OrganizationUser, error)
GET/organizations/{organization_id}/users/{user_id}
Update
client.Organizations.Users.Update(ctx, userID, params) (*OrganizationUser, error)
PATCH/organizations/{organization_id}/users/{user_id}
Delete
client.Organizations.Users.Delete(ctx, userID, params) error
DELETE/organizations/{organization_id}/users/{user_id}
ModelsExpand Collapse
type OrganizationRole string

User's role in the organization

Accepts one of the following:
const OrganizationRoleOrgAdmin OrganizationRole = "org_admin"
const OrganizationRoleOrgMember OrganizationRole = "org_member"
const OrganizationRoleOrgViewer OrganizationRole = "org_viewer"
type OrganizationStatus string

Status of organization membership

Accepts one of the following:
const OrganizationStatusActive OrganizationStatus = "active"
const OrganizationStatusDisabled OrganizationStatus = "disabled"
type OrganizationUser struct{…}
ID string

The keycard account ID

minLength1
maxLength255
CreatedAt Time

The time the entity was created in utc

formatdate-time

User's role in the organization

Accepts one of the following:
const OrganizationRoleOrgAdmin OrganizationRole = "org_admin"
const OrganizationRoleOrgMember OrganizationRole = "org_member"
const OrganizationRoleOrgViewer OrganizationRole = "org_viewer"
Source string

Identity provider issuer

formaturi

Status of organization membership

Accepts one of the following:
const OrganizationStatusActive OrganizationStatus = "active"
const OrganizationStatusDisabled OrganizationStatus = "disabled"
UpdatedAt Time

The time the entity was mostly recently updated in utc

formatdate-time
Email stringoptional

User email address

formatemail
Permissions map[string, map[string, bool]]optional

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.